Loading...
Searching...
No Matches
Ui::CList Class Reference
Inheritance diagram for Ui::CList:
[legend]

## Classes

struct | Item

## Public Member Functions

bool | Create (Math::Point pos, Math::Point dim, int icon, EventType eventMsg, float expand)
void | SetPos (Math::Point pos) override
void | SetDim (Math::Point dim) override
bool | SetState (int state, bool bState) override
bool | SetState (int state) override
bool | ClearState (int state) override
bool | EventProcess (const Event &event) override
void | Draw () override
void | Flush ()
void | SetTotal (int i)
int | GetTotal ()
void | SetSelect (int i)
int | GetSelect ()
void | SetSelectCap (bool bEnable)
bool | GetSelectCap ()
void | SetBlink (bool bEnable)
bool | GetBlink ()
void | SetItemName (int i, const std::string &name)
const std::string & | GetItemName (int i)
void | SetCheck (int i, bool bMode)
bool | GetCheck (int i)
void | SetEnable (int i, bool enable)
bool | GetEnable (int i)
void | SetTabs (int i, float pos, Gfx::TextAlign justif=Gfx::TEXT_ALIGN_LEFT)
float | GetTabs (int i)
void | ShowSelect (bool bFixed)
EventType | GetEventMsgButton (int i)
EventType | GetEventMsgScroll ()
Public Member Functions inherited from Ui::CControl
virtual Math::Point | GetPos ()
virtual Math::Point | GetDim ()
virtual bool | TestState (int state)
virtual int | GetState ()
virtual void | SetIcon (int icon)
virtual int | GetIcon ()
virtual void | SetName (std::string name, bool bTooltip=true)
virtual std::string | GetName ()
virtual void | SetTextAlign (Gfx::TextAlign mode)
virtual int | GetTextAlign ()
virtual void | SetFontSize (float size)
virtual float | GetFontSize ()
virtual void | SetFontStretch (float stretch)
virtual float | GetFontStretch ()
virtual void | SetFontType (Gfx::FontType font)
virtual Gfx::FontType | GetFontType ()
virtual bool | SetTooltip (std::string name)
virtual bool | GetTooltip (Math::Point pos, std::string &name)
virtual void | SetFocus (CControl *focusControl)
virtual bool | GetFocus ()
virtual EventType | GetEventType ()

## Protected Member Functions

bool | MoveAdjust ()
void | UpdateButton ()
void | UpdateScroll ()
void | MoveScroll ()
void | DrawCase (const char *text, Math::Point pos, float width, Gfx::TextAlign justif)
Protected Member Functions inherited from Ui::CControl
void | GlintDelete ()
void | GlintCreate (Math::Point ref, bool bLeft=true, bool bUp=true)
void | GlintFrame (const Event &event)
void | DrawPart (int icon, float zoom, float ex)
void | DrawIcon (Math::Point pos, Math::Point dim, Math::Point uv1, Math::Point uv2, float ex=0.0f)
void | DrawIcon (Math::Point pos, Math::Point dim, Math::Point uv1, Math::Point uv2, Math::Point corner, float ex)
void | DrawWarning (Math::Point pos, Math::Point dim)
void | DrawShadow (Math::Point pos, Math::Point dim, float deep=1.0f)
virtual bool | Detect (Math::Point pos)
std::string | GetResourceName (EventType eventType)
int | SetButtonTextureForIcon (int icon)
| Set texture in m_engine to correct buttonX.png for given icon.

## Protected Attributes

std::array< std::unique_ptr< CButton >, LISTMAXDISPLAY > | m_buttons
std::unique_ptr< CScroll > | m_scroll
float | m_expand
int | m_totalLine
int | m_displayLine
int | m_selectLine
int | m_firstLine
bool | m_bBlink
bool | m_bSelectCap
float | m_blinkTime
float | m_tabs [10]
Gfx::TextAlign | m_justifs [10]
std::vector< Item > | m_items
Protected Attributes inherited from Ui::CControl
Gfx::CEngine * | m_engine
Gfx::CParticle * | m_particle
CEventQueue * | m_event
CRobotMain * | m_main
CSoundInterface * | m_sound
CSettings * | m_settings
Math::Point | m_pos
Math::Point | m_dim
int | m_icon
EventType | m_eventType
int | m_state
float | m_fontSize
float | m_fontStretch
Gfx::FontType | m_fontType
Gfx::TextAlign | m_textAlign
std::string | m_name
std::string | m_tooltip
bool | m_bFocus
bool | m_bCapture
bool | m_bGlint
Math::Point | m_glintCorner1
Math::Point | m_glintCorner2
float | m_glintProgress
Math::Point | m_glintMouse

## Member Function Documentation

## SetPos()

void Ui::CList::SetPos | ( | Math::Point | pos | ) |

override virtual

Reimplemented from Ui::CControl.

## SetDim()

void Ui::CList::SetDim | ( | Math::Point | dim | ) |

override virtual

Reimplemented from Ui::CControl.

## SetState() [1/2]

bool Ui::CList::SetState | ( | int | state,
|  | bool | bState )

override virtual

Reimplemented from Ui::CControl.

## SetState() [2/2]

bool Ui::CList::SetState | ( | int | state | ) |

override virtual

Reimplemented from Ui::CControl.

## ClearState()

bool Ui::CList::ClearState | ( | int | state | ) |

override virtual

Reimplemented from Ui::CControl.

## EventProcess()

bool Ui::CList::EventProcess | ( | const Event & | event | ) |

override virtual

Reimplemented from Ui::CControl.

## Draw()

void Ui::CList::Draw | ( |  | ) |

override virtual

Reimplemented from Ui::CControl.

The documentation for this class was generated from the following files:

- src/ui/controls/list.h
- src/ui/controls/list.cpp